Page MenuHomePhabricator

Merge dataValues into jquery.valueview
Closed, ResolvedPublic

Description

  • jquery.valueview.valueview
  • jquery.valueview.ExpertStore
  • valueParsers.valuePArserStore
    • valueParsers
  • valueFormatters
  • jquery.valueview.viewState
  • jquery.valueview.experts.UnsupportedValue
  • jquery.valueview.experts.EmptyValue
  • jquery.Animation.Event
    • jquery.purposedCallbacks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2019, 10:42 AM

Change 538889 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[data-values/value-view@master] Drop jquery.valueview.ExpertStore module

https://gerrit.wikimedia.org/r/538889

Rosalie_WMDE updated the task description. (Show Details)
Rosalie_WMDE removed Rosalie_WMDE as the assignee of this task.Sep 26 2019, 9:11 AM
Rosalie_WMDE added a subscriber: Rosalie_WMDE.

Change 541793 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Drop jquery.valueview.ExpertStore

https://gerrit.wikimedia.org/r/541793

Change 538889 merged by jenkins-bot:
[data-values/value-view@master] Drop jquery.valueview.ExpertStore module

https://gerrit.wikimedia.org/r/538889

Change 543141 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[data-values/value-view@master] Drop jquery.valueview.ViewState

https://gerrit.wikimedia.org/r/543141

Change 543141 merged by jenkins-bot:
[data-values/value-view@master] Drop jquery.valueview.ViewState

https://gerrit.wikimedia.org/r/543141

Change 543395 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Drop jquery.valueview.ViewState

https://gerrit.wikimedia.org/r/543395

Rosalie_WMDE updated the task description. (Show Details)Oct 16 2019, 2:33 PM

Change 543395 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop jquery.valueview.ViewState

https://gerrit.wikimedia.org/r/543395

valueParsers.ValueParserStore is defined under node_modules/ it doesn't seem to me like something we should drop or atleast not now?

Rosalie_WMDE added a comment.EditedOct 16 2019, 3:19 PM
  • ValueParserStore
  • ExpertStore

Cannot be droped now as they are used both in 'wikibase.ui.entityViewInit' and 'jquery.valueview.valueview'

Change 543833 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[data-values/value-view@master] Drop jquery.valueview.valueview

https://gerrit.wikimedia.org/r/543833

Change 543833 merged by jenkins-bot:
[data-values/value-view@master] Drop jquery.valueview.valueview

https://gerrit.wikimedia.org/r/543833

Change 543844 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Drop jquery.valueview.valueview

https://gerrit.wikimedia.org/r/543844

Rosalie_WMDE updated the task description. (Show Details)
Rosalie_WMDE updated the task description. (Show Details)

Change 543844 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop jquery.valueview.valueview

https://gerrit.wikimedia.org/r/543844

Change 544783 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[data-values/value-view@master] Drop jquery.AnimationEvent

https://gerrit.wikimedia.org/r/544783

Change 544783 merged by jenkins-bot:
[data-values/value-view@master] Drop jquery.AnimationEvent

https://gerrit.wikimedia.org/r/544783

Rosalie_WMDE updated the task description. (Show Details)Oct 21 2019, 9:28 AM

Change 544848 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[data-values/value-view@master] Drop jquery.PurposedCallbacks.test

https://gerrit.wikimedia.org/r/544848

Change 544848 merged by jenkins-bot:
[data-values/value-view@master] Drop jquery.PurposedCallbacks

https://gerrit.wikimedia.org/r/544848

Change 544859 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Drop jquery.AnimationEvent and jquery.PurposedCallbacks

https://gerrit.wikimedia.org/r/544859

Change 544859 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop jquery.AnimationEvent and jquery.PurposedCallbacks

https://gerrit.wikimedia.org/r/544859

Change 544945 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Horizontal merge of jquery.valueview.experts.UnsupportedValue and jquery.valueview.ExpertStore

https://gerrit.wikimedia.org/r/544945

Rosalie_WMDE updated the task description. (Show Details)Oct 22 2019, 8:54 AM

Change 544945 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Horizontal merge of jquery.valueview.experts.UnsupportedValue and jquery.valueview.ExpertStore

https://gerrit.wikimedia.org/r/544945

Ladsgroup closed this task as Resolved.Oct 23 2019, 10:57 AM

Change 541793 abandoned by Rosalie Perside (WMDE):
Drop jquery.valueview.ExpertStore

https://gerrit.wikimedia.org/r/541793